Outbound
Get outbound email logs by UID
Retrieves detailed log information for a specific message UID. This will only return data about whether the email was delivered.
GET
/
outbound
/
logs
/
uid
Get outbound email logs by UID
curl --request GET \
--url https://api.jetemail.com/outbound/logs/uid \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.jetemail.com/outbound/logs/uid"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.jetemail.com/outbound/logs/uid', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"uid": "abc123",
"action": "ACCEPTED",
"message_id": "<abc123@server.local>",
"response": "250 2.0.0 Ok: queued",
"user": "smtp_user1",
"from_address": "sender@example.com",
"to_address": "recipient@example.com",
"date": "2024-03-20T15:30:00Z",
"mx": "mx.recipient.com",
"host": "outbound1.server.local",
"outbound_ip": "192.168.1.1"
}
]
}{
"error": "Invalid or missing UID"
}{
"success": false,
"error": "Required information not found"
}{
"error": "Failed to fetch logs"
}Authorizations
API key for account management endpoints. Use your api_ prefixed token.
Query Parameters
Unique identifier of the message
Pattern:
^[A-Za-z0-9-_]{1,50}$⌘I
Get outbound email logs by UID
